package com.ruoyi.mall.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 学校批次关联对象 mall_school_batch_link
 *
 * @author Lsm
 * @date 2023-10-19
 */
public class MallSchoolBatchLink extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 学校批次关联表id */
    private Long schoolBatchId;

    /** 学校id */
    @Excel(name = "学校id")
    private Long schoolId;

    /** 批次id */
    @Excel(name = "批次id")
    private Long batchId;

    /** 批次名称 */
    @Excel(name = "批次名称")
    private String batchName;

    /** 创建时间 */
    @Excel(name = "创建时间")
    private String createAt;

    /** 更新时间 */
    @Excel(name = "更新时间")
    private String updateAt;

    /** 删除标记(0-正常,1-删除) */
    @Excel(name = "删除标记(0-正常,1-删除)")
    private String delFlag;

    /** 是否新招学校 */
    private Integer isNewAccept;

    /** 是否有新招专业 */
    private Integer hasNewLink;

    /** 是否招生公式变化  */
    private Integer isChange;

    /** 是否公布招生 */
    private Integer noPlan;

    public Integer getIsNewAccept() {
        return isNewAccept;
    }

    public void setIsNewAccept(Integer isNewAccept) {
        this.isNewAccept = isNewAccept;
    }

    public Integer getHasNewLink() {
        return hasNewLink;
    }

    public void setHasNewLink(Integer hasNewLink) {
        this.hasNewLink = hasNewLink;
    }

    public Integer getIsChange() {
        return isChange;
    }

    public void setIsChange(Integer isChange) {
        this.isChange = isChange;
    }

    public Integer getNoPlan() {
        return noPlan;
    }

    public void setNoPlan(Integer noPlan) {
        this.noPlan = noPlan;
    }

    public void setSchoolBatchId(Long schoolBatchId)
    {
        this.schoolBatchId = schoolBatchId;
    }

    public Long getSchoolBatchId()
    {
        return schoolBatchId;
    }
    public void setSchoolId(Long schoolId)
    {
        this.schoolId = schoolId;
    }

    public Long getSchoolId()
    {
        return schoolId;
    }
    public void setBatchId(Long batchId)
    {
        this.batchId = batchId;
    }

    public Long getBatchId()
    {
        return batchId;
    }
    public void setBatchName(String batchName)
    {
        this.batchName = batchName;
    }

    public String getBatchName()
    {
        return batchName;
    }
    public void setCreateAt(String createAt)
    {
        this.createAt = createAt;
    }

    public String getCreateAt()
    {
        return createAt;
    }
    public void setUpdateAt(String updateAt)
    {
        this.updateAt = updateAt;
    }

    public String getUpdateAt()
    {
        return updateAt;
    }
    public void setDelFlag(String delFlag)
    {
        this.delFlag = delFlag;
    }

    public String getDelFlag()
    {
        return delFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("schoolBatchId", getSchoolBatchId())
            .append("schoolId", getSchoolId())
            .append("batchId", getBatchId())
            .append("batchName", getBatchName())
            .append("createAt", getCreateAt())
            .append("updateAt", getUpdateAt())
            .append("delFlag", getDelFlag())
            .toString();
    }
}
